org.eclipse.cdt.utils

## Class Addr2line

- java.lang.Object
- - org.eclipse.cdt.utils.Addr2line

    public class Addr2line
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Addr2line(String file)`
`Addr2line(String command, String file)`
`Addr2line(String command, String[] params, String file)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`String` `getFileName(IAddress address)` The format of the output: addr2line -C -f -e hello 08048442 main hello.c:39
`String` `getFunction(IAddress address)`
`String` `getLine(IAddress address)`
`int` `getLineNumber(IAddress address)` The format of the output: addr2line -C -f -e hello 08048442 main hello.c:39
`protected void` `getOutput(String address)`
`protected void` `init(String command, String[] params, String file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Addr2line

    public Addr2line(String command,
                     String[] params,
                     String file)
              throws IOException

Throws:
  `IOException`

#### Addr2line

    public Addr2line(String command,
                     String file)
              throws IOException

Throws:
  `IOException`

#### Addr2line

    public Addr2line(String file)
              throws IOException

Throws:
  `IOException`

### Method Detail

#### init

    protected void init(String command,
                        String[] params,
                        String file)
                 throws IOException

Throws:
  `IOException`

#### getOutput

    protected void getOutput(String address)
                      throws IOException

Throws:
  `IOException`

#### getLine

    public String getLine(IAddress address)
                   throws IOException

Throws:
  `IOException`

#### getFunction

    public String getFunction(IAddress address)
                       throws IOException

Throws:
  `IOException`

#### getFileName

    public String getFileName(IAddress address)
                       throws IOException

The format of the output: addr2line -C -f -e hello 08048442 main hello.c:39

Throws:
  `IOException`

#### getLineNumber

    public int getLineNumber(IAddress address)
                      throws IOException

The format of the output: addr2line -C -f -e hello 08048442 main hello.c:39

Throws:
  `IOException`

#### dispose

    public void dispose()